Bug 87904 - SIDEBAR: Reorganizing Impress's tab bar buttons on the sidebar
Summary: SIDEBAR: Reorganizing Impress's tab bar buttons on the sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: Sidebar-Tab-Bar
  Show dependency treegraph
 
Reported: 2014-12-31 13:18 UTC by Yousuf Philips (jay)
Modified: 2016-10-24 15:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-31 13:18:09 UTC
I believe the organization of the tab bar buttons can be improved by displaying them in this order.

1) Properties
2) Slide Transition
3) Custom Animation
4) Master Slides
5) Styles
6) Gallery
7) Navigator

The reorganizations are of buttons 2 to 4. Master Slides were positioned at position 2, when not all users need to visit that tab when they create a presentation. Slide Transition used to be at position 4 when it should be placed above Custom Animation when considering that a slide transition is the animation of the slide.
Comment 1 Cor Nouws 2014-12-31 14:04:02 UTC
Hi Jay

OK!
Cor
Comment 2 A (Andy) 2014-12-31 14:41:47 UTC
I personally think this proposal is good, because I would expect the most used functions at the top and Master Pages I use (if I use it) only in the beginning and then I mostly use Properties, Slide Transition and Custom Animation.
Comment 3 V Stuart Foote 2014-12-31 16:37:14 UTC
+1
Comment 4 Commit Notification 2015-03-26 11:21:27 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88dd606bf7e8818223f5b3183eeb114794eaf316

tdf#87904 changing the sort arrangment of impress's sidebar tabs

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike §chinagl 2015-05-21 16:14:15 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Rearrange sidebar tab buttons in Impress. tdf#87904 (Yousuf Philips)
Elaborate, this is a vague sentence!